Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.parser
Class PreserveAspectRatioParser

    java.lang.Object
      org.apache.batik.parser.AbstractParser
          org.apache.batik.parser.PreserveAspectRatioParser

All Implemented Interfaces:
  Localizable, Parser

    public class PreserveAspectRatioParser

extends AbstractParser

This class implements an event-based parser for the SVG preserveAspectRatio attribute values.

Field Summary
`protected PreserveAspectRatioHandler` | `preserveAspectRatioHandler` The PreserveAspectRatio handler used to report parse events.

Fields inherited from class org.apache.batik.parser.AbstractParser
`BUNDLE_CLASSNAME, current, errorHandler, localizableSupport, reader`

Constructor Summary
`PreserveAspectRatioParser()` Creates a new PreserveAspectRatioParser.

Method Summary
`protected void` | `doParse()` Parses the current stream.
`PreserveAspectRatioHandler` | `getPreserveAspectRatioHandler()` Returns the length handler in use.
`protected void` | `parsePreserveAspectRatio()` Parses a PreserveAspectRatio attribute.
`void` | `setPreserveAspectRatioHandler(PreserveAspectRatioHandler handler)` Allows an application to register a PreserveAspectRatioParser handler.
`protected void` | `skipIdentifier()` Skips characters in the given reader until a white space is encountered.

Methods inherited from class org.apache.batik.parser.AbstractParser
`createErrorMessage, formatMessage, getBundleClassName, getCurrent, getLocale, parse, parse, parse, reportCharacterExpectedError, reportError, reportUnexpectedCharacterError, setErrorHandler, setLocale, skipCommaSpaces, skipSpaces`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### preserveAspectRatioHandler

    protected PreserveAspectRatioHandler preserveAspectRatioHandler

  The PreserveAspectRatio handler used to report parse events.

Constructor Detail

### PreserveAspectRatioParser

    public PreserveAspectRatioParser()

  Creates a new PreserveAspectRatioParser.

Method Detail

### setPreserveAspectRatioHandler

    public void setPreserveAspectRatioHandler(PreserveAspectRatioHandler handler)

  Allows an application to register a PreserveAspectRatioParser handler.

  If the application does not register a handler, all events reported by the parser will be silently ignored.

  Applications may register a new or different handler in the middle of a parse, and the parser must begin using the new handler immediately.

  Parameters:
    `handler` - The transform list handler.

### getPreserveAspectRatioHandler

    public PreserveAspectRatioHandler getPreserveAspectRatioHandler()

  Returns the length handler in use.

### doParse

    protected void doParse()
                    throws ParseException,
                           IOException

  Parses the current stream.

  Specified by:
    `doParse` in class `AbstractParser`
  Throws:
    `ParseException`
    `IOException`

### parsePreserveAspectRatio

    protected void parsePreserveAspectRatio()
                                     throws ParseException,
                                            IOException

  Parses a PreserveAspectRatio attribute.

  Throws:
    `ParseException`
    `IOException`

### skipIdentifier

    protected void skipIdentifier()
                           throws IOException

  Skips characters in the given reader until a white space is encountered.

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.